%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name itsdangerous
%define version 1.1.0
%define unmangled_version 1.1.0
%define unmangled_version 1.1.0
%define release 1

Summary: Various helpers to pass data to untrusted environments and back.
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}itsdangerous
Version: %{version}
Release: %{release}
Source0: itsdangerous-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/itsdangerous-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Pallets Team <contact@palletsprojects.com>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://palletsprojects.com/p/itsdangerous/


%description
itsdangerous
============

... so better sign this

Various helpers to pass data to untrusted environments and to get it
back safe and sound. Data is cryptographically signed to ensure that a
token has not been tampered with.

It's possible to customize how data is serialized. Data is compressed as
needed. A timestamp can be added and verified automatically while
loading a token.


Installing
----------

Install and update using `pip`_:

.. code-block:: text

    pip install -U itsdangerous

.. _pip: https://pip.pypa.io/en/stable/quickstart/


A Simple Example
----------------

Here's how you could generate a token for transmitting a user's id and
name between web requests.

.. code-block:: python

    from itsdangerous import URLSafeSerializer
    auth_s = URLSafeSerializer("secret key", "auth")
    token = auth_s.dumps({"id": 5, "name": "itsdangerous"})

    print(token)
    # eyJpZCI6NSwibmFtZSI6Iml0c2Rhbmdlcm91cyJ9.6YP6T0BaO67XP--9UzTrmurXSmg

    data = auth_s.loads(token)
    print(data["name"])
    # itsdangerous


Donate
------

The Pallets organization develops and supports itsdangerous and other
popular packages. In order to grow the community of contributors and
users, and allow the maintainers to devote more time to the projects,
`please donate today`_.

.. _please donate today: https://palletsprojects.com/donate


Links
-----

*   Website: https://palletsprojects.com/p/itsdangerous/
*   Documentation: https://itsdangerous.palletsprojects.com/
*   License: `BSD <https://github.com/pallets/itsdangerous/blob/master/LICENSE.rst>`_
*   Releases: https://pypi.org/project/itsdangerous/
*   Code: https://github.com/pallets/itsdangerous
*   Issue tracker: https://github.com/pallets/itsdangerous/issues
*   Test status: https://travis-ci.org/pallets/itsdangerous
*   Test coverage: https://codecov.io/gh/pallets/itsdangerous



%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n itsdangerous-%{unmangled_version} -n itsdangerous-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
